---
- name: Gather facts
  hosts: k8s-cluster:etcd:calico-rr
  gather_facts: False
  tasks:
    - name: Gather minimal facts
      setup:
        gather_subset: '!all'

    - name: Gather necessary facts
      setup:
        gather_subset: '!all,!min,network,hardware'
        filter: "{{ item }}"
      loop:
        - ansible_distribution_major_version
        - ansible_default_ipv4
        - ansible_all_ipv4_addresses
        - ansible_memtotal_mb
        - ansible_swaptotal_mb
